Bug 441797 - printing address book with a long list failed
printing address book with a long list failed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 02:54 EDT by Yu Shao
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 09:54:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PS file printed (33.52 KB, application/postscript)
2008-04-10 02:54 EDT, Qing LIN
no flags Details
Another PS file printed (38.71 KB, application/postscript)
2008-04-10 02:54 EDT, Qing LIN
no flags Details
This one is OK, limited in one page. (25.69 KB, application/postscript)
2008-04-10 02:59 EDT, Qing LIN
no flags Details
Screenshot attached illustrating the problem (52.87 KB, image/png)
2008-04-10 03:27 EDT, Qing LIN
no flags Details
Another screenshot attached illustrating the problem (55.03 KB, image/png)
2008-04-10 03:28 EDT, Qing LIN
no flags Details

  None (edit)
Description Qing LIN 2008-04-10 02:54:17 EDT
Description of problem:
Print address book to ps file, the result is messed up except the first page.   

Version-Release number of selected component (if applicable):
thunderbird.i386 0:2.0.0.12-4.fc9

How reproducible:
Always

Steps to Reproduce:
1.Open gnome-terminal and start thunderbird
2.Ctrl+2 to open the address book
3.Single click on one address book 
4. File-"Print Address Book...", and then choose "PostScript/default",check
"print to file"
5. Press button "print" 
6. Check the result file
  
Actual results:
The list is long enough,so there are 2 pages in the ps file printed.
And the content of second page is messed up.

Expected results:
Print correctly 

Additional info:
Comment 1 Qing LIN 2008-04-10 02:54:17 EDT
Created attachment 301937 [details]
PS file printed
Comment 2 Qing LIN 2008-04-10 02:54:52 EDT
Created attachment 301938 [details]
Another PS file printed
Comment 3 Qing LIN 2008-04-10 02:59:01 EDT
Created attachment 301939 [details]
This one is OK, limited in one page.

If the mail amount is limited and there is only one page printed, the result
looks all right.
Comment 4 Qing LIN 2008-04-10 03:27:06 EDT
Created attachment 301949 [details]
Screenshot attached illustrating the problem
Comment 5 Qing LIN 2008-04-10 03:28:47 EDT
Created attachment 301950 [details]
Another screenshot attached illustrating the problem
Comment 6 Qing LIN 2008-04-10 03:40:23 EDT
Maybe I made a mistake for filing this bug to thunderbird, since the PS file can
be displayed as usual on other system.
Comment 7 Matěj Cepl 2008-04-10 13:31:48 EDT
Just to be sure, could we get PS file presenting the issue (i.e., the multipage
one), please?

Thank you.
Comment 8 Qing LIN 2008-04-13 21:52:45 EDT
(In reply to comment #7)
> Just to be sure, could we get PS file presenting the issue (i.e., the multipage
> one), please?
> 
> Thank you.

Refer to attachment 301937 [details] and 301938., PS file.
Attachment 301949 [details] and 301950 are their screenshots  .
Hope it will be helpful.
Comment 9 Bug Zapper 2008-05-14 05:13:51 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Matěj Cepl 2008-05-29 05:23:57 EDT
Comment on attachment 301937 [details]
PS file printed

This is not screenshot, but the Postscript file itself presenting the problem.
Comment 12 Matěj Cepl 2008-05-29 05:24:54 EDT
Comment on attachment 301938 [details]
Another PS file printed

Another Postscript presenting the problem
Comment 13 Matěj Cepl 2008-05-29 05:27:35 EDT
Reporter, could you please post also the example Thunderbird address books which
were used to print attachment 301937 [details] and attachment 301938 [details], please?
Also, could you reproduce the bug with the current version of Thunderbird for
your distro (is it Rawhide or F9)?
Comment 14 Matěj Cepl 2008-06-27 08:45:04 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 15 Matěj Cepl 2008-07-25 09:54:59 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.